__gnu_pbds::range_invalidation_guarantee Struct Reference
Invalidation Guarantees
Inheritance diagram for __gnu_pbds::range_invalidation_guarantee:
[legend]

## Detailed Description

Signifies an invalidation guarantee that includes all those of its base, and additionally, that any range-type iterator (including the returns of begin() and end()) is in the correct relative positions to other range-type iterators as long as its corresponding entry has not be erased, regardless of modifications to the container object.

Definition at line 114 of file tag_and_trait.hpp.

The documentation for this struct was generated from the following file:

- tag_and_trait.hpp